cordova.define("com.l7tech.msso.L7SMssoSDKPlugin", function(require, exports, module) { //  Copyright (c) 2013 CA Technologies. All rights reserved.
//
var L7SMssoSDKPlugin = {
    
    //Status updates
    L7SStatus: {
        L7SDidFinishRegistration: 'L7SDidFinishRegistration',
        L7SDidFinishAuthentication: 'L7SDidFinishAuthentication',
        L7SDidFinishDeRegistration: 'L7SDidFinishDeRegistration',
        L7SDidLogout: 'L7SDidLogout',
        L7SDidLogoff: 'L7SDidLogoff'
    },
    
    //errorCode
    L7SError: {
        //authentication domain
        AuthenticationLoginError: -101,
        AuthenticationJWTError: -102,
        AuthenticationRefreshError: -103,
        LogoutError: -104,
        LogoffError: -105,
        SocialLoginError: -106,
    
        //registration domain
        RegistrationError: -201,
        DeRegistrationError: -202,
    
        //location domian
        LocationError: -301,
    
        //network domain
        NetworkError: -401,
    
        //http call domain
        HttpCallError: -501
    
    },
    
    //method to make http call
    httpCall: function (success, fail, arguments) {
        return Cordova.exec(success, fail, "com.l7tech.msso.L7SMssoSDKPlugin", "httpCall", arguments);
    },
    
    //method to logout device
    logoutDevice: function () {
        return Cordova.exec(null, null, "com.l7tech.msso.L7SMssoSDKPlugin", "logoutDevice", []);
    },
    
    //method to deregister device
    deRegister: function () {
        return Cordova.exec(null, null, "com.l7tech.msso.L7SMssoSDKPlugin", "deRegister", []);
    },
    
    //method to logoff app
    logoffApp: function () {
        return Cordova.exec(null, null, "com.l7tech.msso.L7SMssoSDKPlugin", "logoffApp", []);
    },
    
    //method to check if the app is logged in
    isLogin: function (resultHandler) {
        return Cordova.exec(resultHandler, null, "com.l7tech.msso.L7SMssoSDKPlugin", "isLogin", []);
    },
    
    //method to check if the app is logged on
    isAppLogon: function (resultHandler) {
    return Cordova.exec(resultHandler, null, "com.l7tech.msso.L7SMssoSDKPlugin", "isAppLogon", []);
    },
    
    //method to check if the device is registered
    isDeviceRegistered:function (resultHandler) {
        return Cordova.exec(resultHandler, null, "com.l7tech.msso.L7SMssoSDKPlugin", "isDeviceRegistered", []);
    },
    
    //register system status update
    registerStatusUpdate:function (statusUpdateHandler){
        return Cordova.exec(statusUpdateHandler, null, "com.l7tech.msso.L7SMssoSDKPlugin", "registerStatusUpdate", []);
    },
    
    //register error callback.  The return object is a JSON object that contains result.errorCode and result.errorMessage
    registerErrorCallback:function (errorCallbackHandler){
        return Cordova.exec(errorCallbackHandler, null, "com.l7tech.msso.L7SMssoSDKPlugin", "registerErrorCallback", []);
    }
    
};

module.exports = L7SMssoSDKPlugin;
});
